Connected Accounts
List connected accounts with optional filters
Retrieves all connected accounts for your project. Connected accounts represent authenticated user connections to external services (e.g., a user’s Gmail account, Slack workspace). Filter by toolkit, status, user ID, or auth config to find specific connections.
GET
/
api
/
v3.1
/
connected_accounts
List connected accounts with optional filters
import requests
url = "https://backend.composio.dev/api/v3.1/connected_accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/connected_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/connected_accounts \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/connected_accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/connected_accounts")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/connected_accounts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"toolkit": {
"slug": "<string>"
},
"auth_config": {
"id": "<string>",
"auth_scheme": "OAUTH2",
"is_composio_managed": true,
"is_disabled": true
},
"id": "<string>",
"word_id": "<string>",
"alias": "<string>",
"user_id": "<string>",
"status": "INITIALIZING",
"created_at": "<string>",
"updated_at": "<string>",
"state": {
"authScheme": "OAUTH1",
"val": {
"status": "INITIALIZING",
"subdomain": "<string>",
"your-domain": "<string>",
"region": "<string>",
"shop": "<string>",
"account_url": "<string>",
"COMPANYDOMAIN": "<string>",
"extension": "<string>",
"form_api_base_url": "<string>",
"instanceEndpoint": "<string>",
"api_url": "<string>",
"borneo_dashboard_url": "<string>",
"proxy_username": "<string>",
"proxy_password": "<string>",
"domain": "<string>",
"version": "<string>",
"dc": "<string>",
"site_name": "<string>",
"instanceName": "<string>",
"account_id": "<string>",
"your_server": "<string>",
"server_location": "<string>",
"base_url": "<string>",
"displayName": "<string>",
"oauth_token": "<string>",
"authUri": "<string>",
"oauth_token_secret": "<string>",
"redirectUrl": "<string>",
"callbackUrl": "<string>",
"oauth_verifier": "<string>",
"consumer_key": "<string>",
"callback_url": "<string>",
"error": "<string>",
"error_description": "<string>",
"expired_at": "<string>"
}
},
"data": {},
"status_reason": "<string>",
"is_disabled": true,
"authScheme": "OAUTH2",
"experimental": {
"account_type": "PRIVATE",
"acl_config_for_shared": {
"allow_all_users": true,
"allowed_user_ids": [
"<string>"
],
"not_allowed_user_ids": [
"<string>"
]
}
},
"test_request_endpoint": "<string>"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Query Parameters
List connected accounts with optional filters
import requests
url = "https://backend.composio.dev/api/v3.1/connected_accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/connected_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/connected_accounts \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/connected_accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/connected_accounts")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/connected_accounts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"toolkit": {
"slug": "<string>"
},
"auth_config": {
"id": "<string>",
"auth_scheme": "OAUTH2",
"is_composio_managed": true,
"is_disabled": true
},
"id": "<string>",
"word_id": "<string>",
"alias": "<string>",
"user_id": "<string>",
"status": "INITIALIZING",
"created_at": "<string>",
"updated_at": "<string>",
"state": {
"authScheme": "OAUTH1",
"val": {
"status": "INITIALIZING",
"subdomain": "<string>",
"your-domain": "<string>",
"region": "<string>",
"shop": "<string>",
"account_url": "<string>",
"COMPANYDOMAIN": "<string>",
"extension": "<string>",
"form_api_base_url": "<string>",
"instanceEndpoint": "<string>",
"api_url": "<string>",
"borneo_dashboard_url": "<string>",
"proxy_username": "<string>",
"proxy_password": "<string>",
"domain": "<string>",
"version": "<string>",
"dc": "<string>",
"site_name": "<string>",
"instanceName": "<string>",
"account_id": "<string>",
"your_server": "<string>",
"server_location": "<string>",
"base_url": "<string>",
"displayName": "<string>",
"oauth_token": "<string>",
"authUri": "<string>",
"oauth_token_secret": "<string>",
"redirectUrl": "<string>",
"callbackUrl": "<string>",
"oauth_verifier": "<string>",
"consumer_key": "<string>",
"callback_url": "<string>",
"error": "<string>",
"error_description": "<string>",
"expired_at": "<string>"
}
},
"data": {},
"status_reason": "<string>",
"is_disabled": true,
"authScheme": "OAUTH2",
"experimental": {
"account_type": "PRIVATE",
"acl_config_for_shared": {
"allow_all_users": true,
"allowed_user_ids": [
"<string>"
],
"not_allowed_user_ids": [
"<string>"
]
}
},
"test_request_endpoint": "<string>"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}